package server

import (
	"git.smsvc.net/pomodoro/GoTomato/internal/websocket"
	"log"
	"net/http"
)

func Start() {
	http.HandleFunc("/ws", websocket.HandleConnections)

	log.Println("Pomodoro WebSocket server started on :8080")
	err := http.ListenAndServe(":8080", nil)
	if err != nil {
		log.Fatalf("Error starting server: %v", err)
	}
}
